#!/bin/sh
#
# /etc/init.d/splunk
# init script for Splunk.
# generated by 'splunk enable boot-start'.
#
### BEGIN INIT INFO
# Provides:          splunk
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Should-Start:      $network $time
# Should-Stop:       $network $time
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start and stop the splunk database server daemon
# Description:       Controls the main splunk database server daemon "splunk"
### END INIT INFO

RETVAL=0

splunk_start() {
  echo Starting Splunk...
  "/opt/splunk/bin/splunk" start --no-prompt --answer-yes
  RETVAL=$?
}
splunk_stop() {
  echo Stopping Splunk...
  "/opt/splunk/bin/splunk" stop 
  RETVAL=$?
}
splunk_restart() {
  echo Restarting Splunk...
  "/opt/splunk/bin/splunk" restart 
  RETVAL=$?
}
splunk_status() {
  echo Splunk status:
  "/opt/splunk/bin/splunk" status 
  RETVAL=$?
}
case "$1" in
  start)
    splunk_start
    ;;
  stop)
    splunk_stop
    ;;
  restart)
    splunk_restart
    ;;
  status)
    splunk_status
    ;;
  *)
    echo "Usage: $0 {start|stop|restart|status}"
    exit 1
    ;;
esac

exit $RETVAL
